4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.MetadataManager

Low level metadata operations for the driver
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: MetadataManager |  |  |  | Fields: FTSERVER_NAMESPACE, RESERVED_NAMESPACE, UPDATE_LAST_MODIFIED, UPDATE_LAST_MODIFIED_AND_SIZE

## Classes

class MetadataManager

### Methods

deleteMetaData(self, path)
setMetaData(self, path, justBuild=0)
updateMetaData(self, path)
updateResourceMetadata(self, path, newMd, changeDocDef=0)
Apply Update the md and store it (also updating the last modified and size system metadata)
xupdateMetaData(self, path, xu)
Apply XUpdate to the metadata associated with the specified resource and store it (updating the last modified time stamp and size)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
UPDATE_LAST_MODIFIED = '<xupdate:modifications\n version="1.0"\n xmlns:x...te">%s</xupdate:update>\n</xupdate:modifications>\n'
UPDATE_LAST_MODIFIED_AND_SIZE = <Document at 0x12bc8d0: 1 children>
The Document interface represents the entire XML document. Conceptually, it is the root of the document tree, and provides the primary access to the document's data.